module NFib where

import Fib
import Test.SBench.STerm ( Algorithm, toAlgorithm, DataGen, toDataGen )

-- | convert the algorithm to an 'STerm' via 'toAlgorithm' with the actual term,
--   the module it is in, the name of the term and the cost center annotation as
--   arguments.
-- | Notice that putting these functions into the 'Fib' module will force you to
--   install 'SBench' with profiling options. Therefore, here an extra module is
--   preferable.
nFib1 :: Algorithm (Int -> Int)
nFib1 = toAlgorithm fib1 "Fib" "fib1" "fib1"

nFib2 :: Algorithm (Int -> Int)
nFib2 = toAlgorithm fib2 "Fib" "fib2" "fib2"

